org.apache.ivy.core.pack

## Class Pack200Packing

- java.lang.Object
- - org.apache.ivy.core.pack.ArchivePacking
  - - org.apache.ivy.core.pack.StreamPacking
    - - org.apache.ivy.core.pack.Pack200Packing

    public class Pack200Packing
    extends StreamPacking

### Constructor Summary

Constructors
Constructor and Description
`Pack200Packing()`

### Method Summary

Methods
`java.lang.String[]` `getNames()`
`java.lang.String` `getUnpackedExtension(java.lang.String ext)`
`java.io.InputStream` `unpack(java.io.InputStream packed)`

### Methods inherited from class org.apache.ivy.core.pack.StreamPacking

`unpack`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Pack200Packing

    public Pack200Packing()

### Method Detail

#### getNames

    public java.lang.String[] getNames()

Specified by:
  `getNames` in class `ArchivePacking`

#### getUnpackedExtension

    public java.lang.String getUnpackedExtension(java.lang.String ext)

Specified by:
  `getUnpackedExtension` in class `ArchivePacking`

#### unpack

    public java.io.InputStream unpack(java.io.InputStream packed)
                               throws java.io.IOException

Specified by:
  `unpack` in class `StreamPacking`
Throws:
  `java.io.IOException`